CommonLogHandler (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.log.CommonLogHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.log
Class CommonLogHandler

    java.lang.Object
      org.apache.tomcat.util.log.LogHandler
          org.apache.tomcat.util.log.CommonLogHandler

public class CommonLogHandler
extends LogHandler

Log using common-logging.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.tomcat.util.log.LogHandler
`defaultSink, level, sink`

Constructor Summary
`CommonLogHandler()`

Method Summary
`void` | `close()` Close the log.
`void` | `flush()` Flush the log.
`void` | `log(java.lang.String prefix, java.lang.String msg, java.lang.Throwable t, int verbosityLevel)` Prints log message and stack trace.

Methods inherited from class org.apache.tomcat.util.log.LogHandler
`getLevel, setDefaultSink, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonLogHandler

    public CommonLogHandler()

Method Detail

### log

    public void log(java.lang.String prefix,
                    java.lang.String msg,
                    java.lang.Throwable t,
                    int verbosityLevel)

  Prints log message and stack trace. This method should be overriden by real logger implementations

  Overrides:
    `log` in class `LogHandler`
  Parameters:
    `prefix` - optional prefix.
    `t` - the exception that was thrown.
    `verbosityLevel` - what type of message is this? (WARNING/DEBUG/INFO etc)

### flush

    public void flush()

  Flush the log.

  Overrides:
    `flush` in class `LogHandler`

### close

    public void close()

  Close the log.

  Overrides:
    `close` in class `LogHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.